# SoBaseColor Class Reference
[Nodes]

`#include <Inventor/nodes/SoBaseColor.h>`

Inheritance diagram for SoBaseColor:

List of all members.

## Detailed Description

The SoBaseColor class provides a node type for convenient setting of the base material color.

If you want to just set the diffuse color of the following geometry, you can use this node for simplicity.

See also:
  SoMaterial

## Public Member Functions

| SoBaseColor (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFColor | rgb

## Protected Member Functions

virtual | ~SoBaseColor ()

## Constructor & Destructor Documentation

SoBaseColor::SoBaseColor | ( | void |  | ) |

| Constructor.

SoBaseColor::~SoBaseColor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoBaseColor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoBaseColor::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoBaseColor::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoBaseColor::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoMFColor SoBaseColor::rgb

| Color values. Default value of field is to have a single grey color.

The documentation for this class was generated from the following files:

- SoBaseColor.h
- SoBaseColor.cpp